Skip to main content
GET
/
community
/
memberships
/
v1
Retrieve memberships
curl --request GET \
  --url https://api.spacebring.com/community/memberships/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "memberships": [
    {
      "companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createDate": "2023-11-07T05:31:56Z",
      "credits": {
        "expiring": 123,
        "permanent": 123
      },
      "dayPasses": {
        "expiring": 123
      },
      "deleteDate": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invitationDate": "2023-11-07T05:31:56Z",
      "locationRef": "<string>",
      "metadata": {},
      "notes": "<string>",
      "subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user": {
        "about": "<string>",
        "email": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "phoneNumber": "<string>",
        "photoUrl": "<string>",
        "surname": "<string>"
      },
      "userRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextPageToken": "<string>",
  "searchQueryNext": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

companyRef
string<uuid>

Filter by company reference

locationRef
string<uuid>
required

The id of the location.

limit
integer<int64>
default:25

The number of items to return

Required range: 1 <= x <= 100
nextPageToken
string

Token to retrieve the next page of results. Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

userEmail
string<email>

Filter by user's email

userRef
string<uuid>

The id of the user

status
enum<string>

use requested to get all membership requests

Available options:
requested
types
enum<string>

Filter by types. Pass them as comma separated values.

Available options:
member,
nonmember

Response

OK

memberships
object[]
nextPageToken
string

Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

searchQueryNext
string

Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.